import numpy as np 
#Генерация матрицы, состоящая из 1000 строк и 50 столбцов, 
#элементы которой являются случайными из нормального распределения
X = np.random.normal(loc=1, scale=10, size=(1000, 50))
print ('X', X)
#Нормировка матрицы - вычтите из каждого столбца его среднее значение, а затем поделите на его стандартное отклонение.
#Первый параметр — матрица, для которой производятся вычисления.
#если axis=0, то по столбцам, если axis=1, то по строкам; 
#если его не указывать, то данные величины будут вычислены по всей матрице
m = np.mean(X, axis=0) #Вычисление среднего.
std = np.std(X, axis=0) #Вычисление стандартного отклонения.
X_norm = ((X - m) / std) #Нормировка
print ('X_norm', X_norm)
#Операции над матрицей
Z = np.array([[4, 5, 0],
	[1, 9, 3],
	[5, 1, 1],
	[3, 3, 3],
	[9, 9, 9],
	[4, 7, 1]])
r = np.sum(Z, axis=1) #Сумма каждой строки
print (np.nonzero(r > 10)) #Получение индексов элементов со значением True
#Объединение матриц
A = np.eye(3) #Генерация единичной матрицы размера 3х3
B = np.eye(3)
print (A)
print (B)
AB  = np.vstack((A, B)) #вертикальная стыковка матриц
print (AB)
